package java.lang {
import java.lang.Arguments;
dynamic public class IllegalThreadStateException extends IllegalArgumentException {
  public function IllegalThreadStateException__(): Object {
    return this;
  }
  public function IllegalThreadStateException__Ljava_lang_String_2(s: String): Object {
    return this;
  }
  public function IllegalThreadStateException(... vargs) {
    var args: Array;
    var id: int;
    if (vargs.length == 1 && vargs[0] is Arguments) {
      args = Arguments(vargs[0]).args;
      id = Arguments(vargs[0]).id;
    } else {
      if (vargs.length == 0) {
        id = 0;
      } else if (vargs.length == 1 && vargs[0] is String) {
        args = vargs;
        id = 1;
      }
    }
    switch (id) {
      case 0:
        var superArgs: Arguments;
        superArgs = new Arguments(java.lang.IllegalArgumentException.IllegalArgumentException__, []);
        break;
      case 1:
        var args1: Array = [args[0]];
        superArgs = new Arguments(java.lang.IllegalArgumentException.IllegalArgumentException__Ljava_lang_String_2, [args1[0]]);
        break;
    }
    super(superArgs);
    switch (id) {
      case 0:
        IllegalThreadStateException__();
        break;
      case 1:
        IllegalThreadStateException__Ljava_lang_String_2(args1[0]);
        break;
    }
  }
  public static const IllegalThreadStateException__ : int = 0;
  public static const IllegalThreadStateException__Ljava_lang_String_2 : int = 1;
}
}
